# matrix-media-repo

![Version: 1.0.5](https://img.shields.io/badge/Version-1.0.5-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: v1.2.8](https://img.shields.io/badge/AppVersion-v1.2.8-informational?style=flat-square)

Matrix media repository with multi-domain in mind.

**Homepage:** <https://github.com/matrix-org/synapse>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://github.com/turt2live/matrix-media-repo>
* <https://hub.docker.com/r/turt2live/matrix-media-repo>
* <https://github.com/halkeye-helm-charts/matrix-media-repo>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.admins[0] | string | `"@admin:example.com"` |  |
| config.database.postgres | string | `"postgres://USERNAME:PASSWORD@babar.elephantsql.com:5432/jszlmeae"` |  |
| config.datastores[0].enabled | bool | `true` |  |
| config.datastores[0].forKinds[0] | string | `"thumbnails"` |  |
| config.datastores[0].forKinds[1] | string | `"remote_media"` |  |
| config.datastores[0].forKinds[2] | string | `"local_media"` |  |
| config.datastores[0].forKinds[3] | string | `"archives"` |  |
| config.datastores[0].opts.path | string | `"/var/matrix/media"` |  |
| config.datastores[0].type | string | `"file"` |  |
| config.homeservers[0].backoffAt | int | `10` |  |
| config.homeservers[0].csApi | string | `"https://matrix.example.com/"` |  |
| config.homeservers[0].name | string | `"example.com"` |  |
| config.metrics.bindAddress | string | `"0.0.0.0"` |  |
| config.metrics.enabled | bool | `true` |  |
| config.metrics.port | int | `9000` |  |
| config.repo.bindAddress | string | `"0.0.0.0"` |  |
| config.repo.logDirectory | string | `"-"` |  |
| config.repo.port | int | `8000` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"turt2live/matrix-media-repo"` |  |
| image.tag | string | `"{{ .Chart.AppVersion }}"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessModes[0] | string | `"ReadWriteMany"` |  |
| persistence.enabled | bool | `false` |  |
| persistence.existingClaim | string | `nil` |  |
| persistence.size | string | `"8Gi"` |  |
| persistence.skipuninstall | bool | `false` |  |
| persistence.storageClassName | string | `nil` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `80` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
